> ## Documentation Index
> Fetch the complete documentation index at: https://docs.answeringagent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Live Update

> Create a new live update to inform callers about current conditions, wait times, or special announcements. Updates can be applied to all locations or specific phone numbers.




## OpenAPI

````yaml /openapi.yaml post /live-updates
openapi: 3.0.0
info:
  title: Answering Agent API
  description: API for Answering Agent platform
  version: 1.0.0
servers:
  - url: https://answeringagent.com/api/v1
    description: Production API
  - url: https://playground.answeringagent.com/api/v1
    description: Playground API
security: []
paths:
  /live-updates:
    post:
      tags:
        - Live Updates
      summary: Create Live Update
      description: >
        Create a new live update to inform callers about current conditions,
        wait times, or special announcements. Updates can be applied to all
        locations or specific phone numbers.
      operationId: createLiveUpdate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLiveUpdateRequest'
      responses:
        '201':
          description: Live update created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LiveUpdate'
                  message:
                    type: string
                    example: Live update created successfully.
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          description: No team selected or insufficient permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: No team selected.
        '422':
          $ref: '#/components/responses/ValidationError'
        '500':
          description: Server error during creation
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Failed to create live update. Please try again.
                  errors:
                    type: object
                    properties:
                      general:
                        type: array
                        items:
                          type: string
      security:
        - BearerAuth: []
components:
  schemas:
    CreateLiveUpdateRequest:
      type: object
      required:
        - title
        - message
        - type
        - starts_at
      properties:
        title:
          type: string
          description: Title of the live update
          minLength: 3
          maxLength: 255
          pattern: ^[a-zA-Z0-9\s\-_.!?()\x27&@#]+$
          example: Temporary System Maintenance
        message:
          type: string
          description: Detailed message for the live update
          minLength: 10
          maxLength: 2000
          example: >-
            We are currently performing system maintenance. Expected completion
            time is 2 PM.
        link:
          type: string
          format: uri
          nullable: true
          description: >-
            Optional URL for Flash Sale updates. Active Flash Sale links are
            available as text links.
          example: https://example.com/weekend-sale
          maxLength: 500
        type:
          type: string
          description: Type of live update
          enum:
            - announcement
            - wait_time
            - flash_sale
            - closure
            - schedule_change
          example: announcement
        starts_at:
          type: string
          format: date-time
          description: When the live update becomes active (ISO 8601 format)
          example: '2025-07-25T14:00:00Z'
        expires_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the live update expires (null for no expiration, must be after
            starts_at)
          example: '2025-07-25T16:00:00Z'
        phone_number_ids:
          type: array
          nullable: true
          description: >-
            Array of phone number IDs to apply this update to (empty array or
            null means all locations)
          maxItems: 50
          items:
            type: integer
          example:
            - 1
            - 2
            - 3
    LiveUpdate:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the live update
          example: 1
        title:
          type: string
          description: Title of the live update
          example: Temporary System Maintenance
          maxLength: 255
        message:
          type: string
          description: Detailed message for the live update
          example: >-
            We are currently performing system maintenance. Expected completion
            time is 2 PM.
          maxLength: 2000
        link:
          type: string
          format: uri
          nullable: true
          description: >-
            Optional URL for Flash Sale updates. Active Flash Sale links are
            available as text links.
          example: https://example.com/weekend-sale
          maxLength: 500
        type:
          type: string
          description: Type of live update
          enum:
            - announcement
            - wait_time
            - flash_sale
            - closure
            - schedule_change
          example: announcement
        starts_at:
          type: string
          format: date-time
          description: When the live update becomes active (ISO 8601 format)
          example: '2025-07-25T14:00:00Z'
        expires_at:
          type: string
          format: date-time
          nullable: true
          description: When the live update expires (null for no expiration)
          example: '2025-07-25T16:00:00Z'
        is_cancelled:
          type: boolean
          description: Whether the live update has been cancelled
          example: false
        created_at:
          type: string
          format: date-time
          description: When the live update was created
          example: '2025-07-25T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          description: When the live update was last modified
          example: '2025-07-25T11:45:00Z'
        phone_numbers:
          type: array
          description: >-
            Phone numbers/locations this update applies to (empty array means
            all locations)
          items:
            type: object
            properties:
              id:
                type: integer
                description: Phone number ID
                example: 1
              name:
                type: string
                description: Location name
                example: Main Office
              phone_number:
                type: string
                description: Phone number in E.164 format
                example: '+1234567890'
        created_by:
          type: object
          description: User who created this live update
          properties:
            id:
              type: integer
              example: 1
            name:
              type: string
              example: John Doe
            email:
              type: string
              example: john@example.com
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: API key is required
                enum:
                  - API key is required
                  - Invalid credentials
    ValidationError:
      description: Validation failed.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              errors:
                type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````